
From: Robert Love <rml@novell.com>

inotify system call support for PPC64

[ I don't think we need sys32 compatibility versions--and if we do, I
failed in life. ]

Signed-off-by: Robert Love <rml@novell.com>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/misc.S   |    6 ++++++
 include/asm-ppc64/unistd.h |    5 ++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/misc.S~ppc64-inotify-syscalls arch/ppc64/kernel/misc.S
--- devel/arch/ppc64/kernel/misc.S~ppc64-inotify-syscalls	2005-07-27 13:10:19.000000000 -0700
+++ devel-akpm/arch/ppc64/kernel/misc.S	2005-07-27 13:10:19.000000000 -0700
@@ -1129,6 +1129,9 @@ _GLOBAL(sys_call_table32)
 	.llong .compat_sys_waitid
 	.llong .sys32_ioprio_set
 	.llong .sys32_ioprio_get
+	.llong .sys_inotify_init	/* 275 */
+	.llong .sys_inotify_add_watch
+	.llong .sys_inotify_rm_watch
 
 	.balign 8
 _GLOBAL(sys_call_table)
@@ -1407,3 +1410,6 @@ _GLOBAL(sys_call_table)
 	.llong .sys_waitid
 	.llong .sys_ioprio_set
 	.llong .sys_ioprio_get
+	.llong .sys_inotify_init	/* 275 */
+	.llong .sys_inotify_add_watch
+	.llong .sys_inotify_rm_watch
diff -puN include/asm-ppc64/unistd.h~ppc64-inotify-syscalls include/asm-ppc64/unistd.h
--- devel/include/asm-ppc64/unistd.h~ppc64-inotify-syscalls	2005-07-27 13:10:19.000000000 -0700
+++ devel-akpm/include/asm-ppc64/unistd.h	2005-07-27 13:10:19.000000000 -0700
@@ -285,8 +285,11 @@
 #define __NR_waitid		272
 #define __NR_ioprio_set		273
 #define __NR_ioprio_get		274
+#define __NR_inotify_init	275
+#define __NR_inotify_add_watch	276
+#define __NR_inotify_rm_watch	277
 
-#define __NR_syscalls		275
+#define __NR_syscalls		278
 #ifdef __KERNEL__
 #define NR_syscalls	__NR_syscalls
 #endif
_
